## librem-control 0.0.3~byz2

=== Makefile ===
PREFIX?=/usr

CC=gcc
#CFLAGS=-g -O2 -Wall -D_REENTRANT `pkg-config --cflags libadwaita-1`
#LIBS=`pkg-config --libs libadwaita-1`
CFLAGS=-g -O2 -Wall -D_REENTRANT `pkg-config --cflags gtk4`
LIBS=`pkg-config --libs gtk4`

OBJ=librem-control.o ec-tool.o
PRG=librem-control

all: $(PRG)

$(PRG): $(OBJ)
	$(CC) $(OBJ) -o $(PRG) $(LIBS)

install:
	install -D $(PRG) $(DESTDIR)$(PREFIX)/bin/$(PRG)
	install -m 0644 -D org.freedesktop.policykit.librem-control.policy $(DESTDIR)$(PREFIX)/share/polkit-1/actions/org.freedesktop.policykit.librem-control.policy
	install -m 0644 -D librem-control.desktop $(DESTDIR)$(PREFIX)/$(prefix)/share/applications/librem-control.desktop
	install -m 0644 -D data/icons/sm.puri.Librem-Control.svg $(DESTDIR)$(PREFIX)/$(prefix)/share/icons/hicolor/scalable/apps/sm.puri.Librem-Control.svg
	install -m 0644 -D data/icons/sm.puri.Librem-Control-symbolic.svg $(DESTDIR)$(PREFIX)/$(prefix)/share/icons/hicolor/symbolic/apps/sm.puri.Librem-Control-symbolic.svg

deb:
	fakeroot debian/rules binary

clean:
	rm -f $(PRG) $(OBJ)
	rm -rf debian/.debhelper debian/librem-control debian/librem-control.substvars debian/files debian/debhelper-build-stamp

=== debian/changelog ===
librem-control (0.0.3~byz2) byzantium; urgency=medium

  * Re-upload

 -- Jonathon Hall <jonathon.hall@puri.sm>  Tue, 25 Nov 2025 13:18:02 -0500

librem-control (0.0.3~byz1) byzantium; urgency=medium

  * Backport to byzantium

 -- Jonathon Hall <jonathon.hall@puri.sm>  Fri, 21 Nov 2025 08:24:21 -0500

librem-control (0.0.3) crimson; urgency=medium

  * Add headset jack detect control for Librem EC 1.14+

 -- Jonathon Hall <jonathon.hall@puri.sm>  Fri, 21 Nov 2025 08:20:49 -0500

librem-control (0.0.2) byzantium; urgency=medium

  * Depend on policykit-1.
    Only that exists on byzantium

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Oct 2022 13:05:00 +0200

librem-control (0.0.1) byzantium; urgency=medium

  * Initial release (Closes: #1)

 -- João Azevedo <joao.azevedo@puri.sm>  Wed, 25 May 2022 19:48:08 +0200

=== debian/control ===
Source: librem-control
Section: utils
Priority: optional
Maintainer: João Azevedo <joao.azevedo@puri.sm>
Build-Depends: 
	debhelper-compat (= 13),
	pkg-config,
	libgtk-4-dev,
Standards-Version: 4.5.1
Homepage: https://source.puri.sm/nicole.faerber/librem-control
Vcs-Browser: https://source.puri.sm/nicole.faerber/librem-control
Vcs-Git: https://source.puri.sm/nicole.faerber/librem-control.git
Rules-Requires-Root: no

Package: librem-control
Architecture: any
Depends: 
	${shlibs:Depends},
	${misc:Depends},
	dmidecode,
	pkexec | policykit-1 (<< 0.105-33~),
Description: Librem 14 control
 Controls some system settings of Librem 14 devices:
  - Charge thresholds
  - LED function
  - Outputs BIOS version

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# override_dh_auto_test:
#	make
